Ankündigung

Einklappen
Keine Ankündigung bisher.

.. upgrade failed!

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    .. upgrade failed!


    Hallo Christian beim Upgrade auf die neiste version bekomme ich:
    Code:
    Reading state information... The following packages have been kept back:   python-openssl python3-openssl The following packages will be upgraded:   realknx 1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded. Need to get 23.1 MB of archives. After this operation, 732 kB of additional disk space will be used. Get:1 https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/ stable/main realknx all 4.0.1 [23.1 MB] Err https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/ stable/main realknx all 4.0.1   HttpError404 E: Failed to fetch https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/pool/r/re/realknx_4.0.1_all.deb  HttpError404  E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
    Der Vorschlag mit dem apt-get hat leider nichts gebracht. Sieht mit dem HTTP Error 404 auch eher so aus als ob das Package nicht da ist. Gruss, Holger
    ECMACOM GmbH
    Konzeption, Planung, Implementation, Unterhalt
    www.ecmacom.ch
    www.knxshop4u.ch

    #2
    Hallo Holger,

    Sorry, wir hatten da kurze Zeit ein Package im Release welches wieder entfernt wurde, und Du hast vermutlich gerade in der Zeit synchonisiert.
    Ist im Prinzip kein Problem, hier was Du machen kannst:

    Öffne Webmin | Software Packages
    Unter "Upgrade All Packages " wähle
    Resynchronize package list (update) : Yes
    Upgrade mode: Don't upgrade
    Only show which packages would be upgraded: Yes
    dann wähle "upgrade now"

    Liebe Grüsse
    Christian
    Chris (https://proknx.com)
    realKNX: Sprachsteuerung mit Siri, Alexa, Google Home sowie ohne Cloud https://proknx.com/realknx-de
    Ausserdem: Automatisierungsideen mit NodeRED: (Logik, Sprachausgabe, IFTTT, Fremdprotokolle bis hin zur Alarmanlage)

    Kommentar


      #3
      Hallo Christian

      Hab ich jetzt gemacht, hat aber nichts gebracht.

      Hatte gestern upgedatet und mich heute gewundert, dass tas Teil schon wieder was hat (Ausrufezeichen auf rotem Bolle bei realKNX).

      Lg, Holger
      ECMACOM GmbH
      Konzeption, Planung, Implementation, Unterhalt
      www.ecmacom.ch
      www.knxshop4u.ch

      Kommentar


        #4
        Hallo Christian
        Hab grad gesehen, dass Euer Wetter ziemlich heftig ist. Lass dir Zeit mit Antworten, kann gut damit leben.
        lg, Holger
        ECMACOM GmbH
        Konzeption, Planung, Implementation, Unterhalt
        www.ecmacom.ch
        www.knxshop4u.ch

        Kommentar


          #5
          Hallo Christian,
          bei mir tritt der Error beim Update leider auch noch auf. Deinen Lösungsvorschlag aus Post #2 habe ich schon erfolglos versucht. Gibt's da einen anderen Tip? Wenn ein Upgrade zu AIR sowieso dagegen hilft kann ich auch gerne die paar Wochen noch warten, da die Funktion an sich ja nicht beeinträchtigt ist.
          LG, Tobi

          Kommentar


            #6
            Tach Christian,

            ich hab dann auch mal 'n Update gemacht. Bei mir ist nun auch die gleiche Fehlermeldung aufgetaucht.
            Gibts schon ne Idee, oder hab ich wieder nicht aufgepasst?

            Gruss
            Guido

            Update: hab's heut morgen nochmal probiert:
            Code:
             
             E: Failed to fetch https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/pool/r/re/realknx_4.0.1_all.deb  HttpError404
            Wenn man mal dem Link folgt dann kommt da aber auch nix sinnvolles bei raus. Zumindest kein .deb Paket
            Zuletzt geändert von PhilW; 09.11.2018, 07:17.
            Google oder Wiki-Hilfe-Hinweise nehme ich nur an wenn sie mich total blamieren..... dann ertrage ich sie auch in Demut und Dankbarkeit;-)

            Kommentar


              #7
              Nach folgenden "Aufräumarbeiten" sollte das Update für den V2 wieder normal durchlaufen (dies ist kein Update auf Air! Air läuft nur unter der nächsten Linx Version)

              Unten links im Webmin die Shell aufrufen (Terminal (Alt+K) >_)
              Dann nacheinander folgende Befehle ausführen:
              sudo apt-get clean
              sudo apt-get autoclean
              sudo apt-get autoremove

              Chris (https://proknx.com)
              realKNX: Sprachsteuerung mit Siri, Alexa, Google Home sowie ohne Cloud https://proknx.com/realknx-de
              Ausserdem: Automatisierungsideen mit NodeRED: (Logik, Sprachausgabe, IFTTT, Fremdprotokolle bis hin zur Alarmanlage)

              Kommentar


                #8
                Nööö Christian

                Gruss, Holger
                ECMACOM GmbH
                Konzeption, Planung, Implementation, Unterhalt
                www.ecmacom.ch
                www.knxshop4u.ch

                Kommentar


                  #9

                  PHP-Code:
                      [pi@RevPi7895 ~]# sudo apt-get clean [pi@RevPi7895 ~]# sudo apt-get autoclean Reading package lists... Building dependency tree... Reading state information... [pi@RevPi7895 ~]# sudo apt-get autoremove Reading package lists... Building dependency tree... Reading state information... 0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.    [pi@RevPi7895 ~]# 
                  Ergebniss Update:
                  PHP-Code:
                      Reading package lists... Building dependency tree... Reading state information... The following packages have been kept back:   python-openssl python3-openssl The following packages will be upgraded:   realknx 1 upgraded0 newly installed0 to remove and 2 not upgradedNeed to get 23.1 MB of archivesAfter this operation732 kB of additional disk space will be usedGet:1 https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/ stable/main realknx all 4.0.1 [23.1 MB] Err https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/ stable/main realknx all 4.0.1   HttpError404 E: Failed to fetch https://s3.eu-central-1.amazonaws.com/repo.proknx.xyz/pool/r/re/realknx_4.0.1_all.deb  HttpError404  E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing? 
                  also leider sorry...

                  bin ja immer noch der Meinung mit dem .deb link stimmt was nicht.
                  Zuletzt geändert von PhilW; 09.11.2018, 09:15.
                  Google oder Wiki-Hilfe-Hinweise nehme ich nur an wenn sie mich total blamieren..... dann ertrage ich sie auch in Demut und Dankbarkeit;-)

                  Kommentar

                  Lädt...
                  X